%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name Payment_Process

Name:           php-pear-Payment-Process
Version:        0.6.8
Release:        3%{?dist}
Summary:        Unified payment processor

Group:          Development/Libraries
License:        BSD
URL:            http://pear.php.net/package/Payment_Process
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.11

Requires:       php-pear(PEAR) >= 1.4.11
Requires:       php-pear(Validate) >= 0.6.2
Requires:       php-pear(Validate_Finance_CreditCard) >= 0.5.2
Requires:       php-pear(XML_Parser) >= 1.3.2
Requires:       php-pear(Net_Curl) >= 1.2.5
Requires(post): %{__pear}
Requires(postun): %{__pear}
# extensions detected by phpci
Requires:       php-date, php-pcre

Provides:       php-pear(%{pear_name}) = %{version}


%description
Payment_Process is a gateway-independent framework for processing credit
cards, e-checks and eventually other forms of payments as well.


%prep
%setup -qc
cd %{pear_name}-%{version}

# See http://pear.php.net/bugs/18006
sed -e '/role="php"/s:docs/Payment_Process:Payment:' \
    -e '/role="data"/s/"data"/"doc"/' \
    ../package.xml >%{name}.xml


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{pear_name}-%{version}
rm -rf $RPM_BUILD_ROOT
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{name}.xml

# Fix end of line encodings
sed -i 's/\r//' $RPM_BUILD_ROOT%{pear_docdir}/%{pear_name}/LICENSE-BSD
sed -i 's/\r//' $RPM_BUILD_ROOT%{pear_docdir}/%{pear_name}/examples/*

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_metadir}/.??*

# Install XML package description
install -d $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null ||:

%postun
if [ "$1" -eq "0" ]; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null ||:
fi


%files
%defattr(-,root,root,-)
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/Payment


%changelog
* Tue Feb 19 2013 Remi Collet <remi@fedoraproject.org> - 0.6.8-3
- fix metadata location

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Aug 06 2012 Remi Collet <remi@fedoraproject.org> 0.2.2-0.1.dev1
- Version 0.6.8 (beta) - API 0.6.7 (beta)
- fix requires (remove php, add php-date, php-pcre)
- fix file placement, see http://pear.php.net/bugs/18006
- raise dependencies version

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jul  6 2011 Remi Collet <Fedora@FamilleCollet.com> 1.5.6-3
- remove Requires(hint), fix FTBFS #716070
- doc in /usr/share/doc/pear

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Aug 31 2010 Remi Collet <Fedora@FamilleCollet.com> - 0.6.6-5
- clean define + rename macro
- rename Payment_Process.xml to php-pear-Payment-Process.xml
- set date.timezone during build

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu May 22 2008 Christopher Stone <chris.stone@gmail.com> 0.6.6-1
- Upstream sync
- Update License
- Add empty build section
- Fix rpmlint warnings

* Fri Jun 30 2006 Christopher Stone <chris.stone@gmail.com> 0.6.5-1
- Initial Release
